// B008drv.h    B008 Transputer I/O Driver's internal structures and names
//
//

// B008 manual specifies that occupies a full 0x20 Ports
#define PORT_COUNT       0x20

// NT device name
#define TPD_DEVICE_NAME L"\\Device\\B008Ms"

// WIN32 system device name.   When you execute a CreateFile call to open the
// device, use "\\.\pclink1", or, given C's conversion of \\ to \, use
// "\\\\.\\pclink1"

#define DOS_DEVICE_NAME L"\\DosDevices\\pclink1"


// Device extension:
// Local data structure specific to each device object
//
typedef struct _DEVICE_INFO {
    ULONG               DeviceType;     	// Our private Device Type
    PDEVICE_OBJECT      pDeviceObject;		// The device object.
	ULONG				PortAddressSpace;	// Address space the board in in
    PUCHAR			    PortBase;			// Board's Base address
	ULONG				PollRetry;			// Maximum number of polls before interrupt is used
    ULONG				Timeout;			// Timeout value in ms
    ULONG				ProcessHeader;		// Special processing for header bytes

	ULONG				nWritten;			// Number of bytes written from current IRP
} DEVICE_INFO, *PDEVICE_INFO;

