/*
 * B008 Transputer link support
 */

/*
 * B008 register locations offset from the boards base address
 */
#define OFFSET_IDR				0
#define OFFSET_ODR				1
#define OFFSET_ISR				2
#define OFFSET_OSR				3
#define OFFSET_RESETERROR		0x10
#define OFFSET_ANALYSE			0x11
#define OFFSET_DMA_REQUEST		0x12
#define OFFSET_INTERRUPT_ENABLE	0x13
#define OFFSET_DMA_INTTERUPT_SELECT 0x14

/*
 * C012 register definitions
 */
#define C012_OSR_READY		1
#define C012_OSR_IENABLE	2

#define C012_ISR_PRESENT	1
#define C012_ISR_IENABLE	2

/*
 * B008 Bus interface register definitions
 */
#define BUS_RESETERROR_STATUS	1

#define BUS_IENABLE_DMAEND		1
#define BUS_IENABLE_ERROR		2

#define BUS_IENABLE_OUTPUT		4
#define BUS_IENABLE_INPUT		8


/*
 * EXPORTS
 */
void B008ResetLink( PUCHAR nPort );
void B008AnalyseLink( PUCHAR nPort );
ULONG B008TestError( PUCHAR nPort );
ULONG B008TestRead( PUCHAR nPort );
ULONG B008TestWrite( PUCHAR nPort );

